Browse Source

Locked Werkzeug package release to 0.16.1

The latest Werkzeug package release 1.0.0, released on February 8,
is not backwards compatible with the earler releases of this package,
which is used in Flask, used by apache airflow.

This causes shipyard make image job fail, with missing import errors
from the Werkzeug library.

This change locks the Werkzeuz package release to the last compatible
release with the apache airflow in shipyard.

Change-Id: I54dad4ccc1858f4d5986c6e8e9fbf8f5d9847158
changes/85/707285/1
Ahmad Mahmoudi 1 year ago
parent
commit
3d987309b8
1 changed files with 1 additions and 1 deletions
  1. +1
    -1
      src/bin/shipyard_airflow/requirements.txt

+ 1
- 1
src/bin/shipyard_airflow/requirements.txt View File

@ -36,7 +36,7 @@ ulid==1.1
uwsgi==2.0.17
# To support profiling in non-prod
Werkzeug>=0.15.0
Werkzeug==0.16.1
# Need to lock marshmellow-sqlalchemy and tabulate for compatibility issues
marshmallow-sqlalchemy==0.18.0
tabulate==0.8.03


Loading…
Cancel
Save